from app import MongoDB, aggregate_salaries, Settings
import asyncio
import json


settings = Settings()
client = MongoDB(settings.DB_URI)
db = client.client[settings.DATABASE_NAME]
collection = db[settings.COLLECTION_NAME]

json_str = '''
{
   "dt_from": "2022-09-01T00:00:00",
   "dt_upto": "2022-12-31T23:59:00",
   "group_type": "month"
}
'''

async def main(json_str):
    result = await aggregate_salaries()
    pass

asyncio.run(main(json_str))