from pydantic_settings import BaseSettings, SettingsConfigDict

class Settings(BaseSettings):
    API_TOKEN_TG: str
    HOST_MONGODB: str
    DATABASE_NAME: str
    COLLECTION_NAME: str
    USERNAME_MONGO: str
    PASSWORD_MONGO: str
    DB_URI: str
    
    model_config = SettingsConfigDict(env_file='.env', env_file_encoding='utf-8')